package cz.muni.fi.pa165.rest.exception;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

/**
 * @author Marek Kadlečík
 */

@ResponseStatus(value=HttpStatus.NOT_FOUND, reason="The requested player was not found")
public class ResourceNotFoundException extends RuntimeException {
    public ResourceNotFoundException() {
        super(HttpStatus.NOT_FOUND.getReasonPhrase());
    }
}