<%@ page contentType="text/html;charset=UTF-8" pageEncoding="utf-8" trimDirectiveWhitespaces="false" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="my" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="s" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>

<my:pagetemplate title="Tournament Administration">
<jsp:attribute name="body">

    <c:if test="${not empty sessionScope.authenticatedUser}">
        <form method="post" action="${pageContext.request.contextPath}/tournament/delete/${tournament.id}">
            <button type="submit" class="btn btn-primary">Delete</button>
        </form>
    </c:if>


    <table class="table">
        <thead>
        <tr>
            <th>name</th>
            <th>city</th>
            <th>county</th>
            <th>prize pool</th>
            <th>format</th>
            <th>capacity</th>
        </tr>
        </thead>
        <tbody>
            <tr>
                <td>${tournament.id}</td>
                <td><c:out value="${tournament.name}"/></td>
                <td><c:out value="${tournament.city}"/></td>
                <td><c:out value="${tournament.country}"/></td>
                <td><c:out value="${tournament.prizePool}"/></td>
                <td><c:out value="${tournament.tournamentFormat}"/></td>
                <td><c:out value="${tournament.teamCapacity}"/></td>
            </tr>
        </tbody>
    </table>

</jsp:attribute>
</my:pagetemplate>