package cz.muni.fi.pa165.dto;

import cz.muni.fi.pa165.entity.PlayerEntity;
import cz.muni.fi.pa165.entity.TeamEntity;
import cz.muni.fi.pa165.entity.TournamentEntity;
import lombok.Getter;
import lombok.Setter;

import java.util.HashSet;
import java.util.Set;

/**
 * @author Dominik Kozubík
 */
@Getter
@Setter
public class MatchDTO extends BaseDTO {

    private Set<PlayerEntity> playerList = new HashSet<>();

    private TournamentEntity tournament;

    private Set<TeamEntity> teams = new HashSet<>();

    private Set<PlayerEntity> players = new HashSet<>();

    private String tournamentId;
}
