package cz.muni.fi.pa165.dto;

import cz.muni.fi.pa165.entity.MatchEntity;
import cz.muni.fi.pa165.entity.PlayerEntity;
import cz.muni.fi.pa165.entity.TeamCoachEntity;
import cz.muni.fi.pa165.entity.TournamentEntity;
import cz.muni.fi.pa165.enums.CountryEnum;
import lombok.Getter;
import lombok.Setter;

import java.util.HashSet;
import java.util.Set;

/**
 * @author mvalko
 */
@Getter
@Setter
public class TeamDTO extends BaseDTO {

    private String name;

    private CountryEnum country;

    private Set<PlayerEntity> playerList = new HashSet<>();

    private Set<TeamCoachEntity> coachList = new HashSet<>();

    private Set<TournamentEntity> completedTournaments = new HashSet<>();

    private Set<TournamentEntity> plannedTournaments = new HashSet<>();

    private Set<MatchEntity> matches = new HashSet<>();
}
